Subject: Re: bug#62412: 29.0.60; strange c++ indentation behavior with tree sitter

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Sep 2023 17:03:01 -0700

Theodor Thornhill <[email-masked]> writes:

> On 25 March 2023 17:23:35 CET, "João Távora" <[email-masked]> wrote:
>>"Herman, Géza" <[email-masked]> writes:
>>
>>> Anyways, feel free to close this issue if you think otherwise. I
>>> just disabled ';'-caused auto indenting, so I don't see this
>>> unpleasant behavior any more.
>>
>>Yes, i'm inclined to think that c++-ts-mode shouldn't add any chars to
>>electric-indent-chars.  It's just not useful.
>
> I won't object to this, as I hold no strong opinions either way.

It seems like this is not something we want to do, so I'm closing this
bug.